{
  agenix,
  home-manager,
  nixos-hardware,
  nur,
  pkgs,
  ...
}: {
  imports = [
    ./hardware-configuration.nix
    ./system.nix
    agenix.nixosModules.default
    home-manager.nixosModule
    nur.nixosModules.nur

    ./borg.nix
    ./earlyoom.nix
    ./gpg.nix
    ./keyd.nix
    ./pipewire.nix
    ./sway.nix
    ./tlp.nix

    ../../users/buffet
  ];

  # TODO: find out why this is required
  age.identityPaths = ["/home/buffet/.ssh/id_agenix"];
  networking.hostName = "alice";

  users = {
    mutableUsers = false;
    users.root.hashedPassword = "!";
  };

  environment.systemPackages = with pkgs; [
    gitFull
    neovim
  ];

  fonts.packages = with pkgs; [
    apl386
    dejavu_fonts
    noto-fonts
    noto-fonts-cjk
  ];

  powerManagement.enable = true;
  systemd.coredump.enable = true;

  hardware = {
    bluetooth.enable = true;
    uinput.enable = true;
  };

  services = {
    upower.enable = true;

    mullvad-vpn = {
      enable = true;
      package = pkgs.mullvad-vpn; # enable gui
    };
  };
}
